CVE-2015-1472

Priority
Description
The ADDW macro in stdio-common/vfscanf.c in the GNU C Library (aka glibc or
libc6) before 2.21 does not properly consider data-type size during memory
allocation, which allows context-dependent attackers to cause a denial of
service (buffer overflow) or possibly have unspecified other impact via a
long line containing wide characters that are improperly handled in a
wscanf call.
Notes
 tyhicks> Introduced by upstream commit 3f8cc204fdd0, which is not present in
  Lucid.
 mdeslaur> fixed by any/cvs-wscanf.diff in vivid
Assigned-to
mdeslaur
Package
Upstream:needed
Ubuntu 14.04 LTS (Trusty Tahr):released (2.19-0ubuntu6.6)
Package
Source: glibc (LP Ubuntu Debian)
Upstream:needed
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Patches:
Upstream:https://sourceware.org/git/?p=glibc.git;a=commit;h=5bd80bfe9ca0d955bfbbc002781bc7b01b6bcb06
More Information

Updated: 2019-03-19 12:17:56 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)